Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 20337

Description

The scale gets wrong if one adds a tiled baselayer (e.g. Google or OSM via OpenLayers plugin, or via GDAL XML). E.g. at 1:2257 scale,

on the video a 100 m line is 4.8 cm; adding a baselayer it becomes 6.9 cm, without changing the scale.

If I load a EPSG:3003 layer, add an OpenLayers plugin layer, the scale gets wrong and the project projection is set at 3857. Changing the

projection back to 3003 makes things right again.

Apparently GDAL does not choose the correct zoom level to display the tiles. It does not seem related to the OL plugin, as it behaves the

same on the server (seen through LizMap, with the same baselayer).

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-02-26 03:01 AM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Open to Closed

- Description updated

AFAICU this is related to EPSG:3857 being unsuitable for measurements.

2025-05-17 1/1


